using _Core;
using UnityEngine.Scripting;

namespace _Core
{
    [Preserve]
    public class LenovoLoginRequest : Serializable
    {
        public string appid;
        public string cpid;
        public string bizid;
        public string key;
    }

    [Preserve]
    public class Data : Serializable
    {
        [Newtonsoft.Json.JsonProperty("result")]
        public string result;
        [Newtonsoft.Json.JsonProperty("tgt")]
        public string tgt;
        [Newtonsoft.Json.JsonProperty("token")]
        public string token;
    }

    [Preserve]
    public class LenovoLoginResult : Serializable
    {
        [Newtonsoft.Json.JsonProperty("age")]
        public string age;

        [Newtonsoft.Json.JsonProperty("data")]
        public Data data;

        [Newtonsoft.Json.JsonProperty("reason")]
        public string reason;

        [Newtonsoft.Json.JsonProperty("retcode")]
        public string retcode;
    }
}